\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{hdoc-proc}
              [1997/09/03 v0.01
               Style for IWES'99 based on proc.cls]
\newif\if@noenglish
  \@noenglishfalse
\newif\if@noabstract
  \@noabstractfalse
\newif\if@addkeywords
  \@addkeywordsfalse
\DeclareOption{a5paper}
    {\ClassError{proc}{Option `a5paper' not supported}{}}
\DeclareOption{b5paper}
    {\ClassError{proc}{Option `b5paper' not supported}{}}
\DeclareOption{onecolumn}%
    {\ClassError{proc}{Option `onecolumn' not supported}{}}
\DeclareOption{titlepage}%
    {\ClassError{proc}{Option `titlepage' not supported}{}}
\DeclareOption{noenglish}%
    {\@noenglishtrue}
\DeclareOption{noabstract}%
    {\@noabstracttrue}
\DeclareOption{keywords}%
    {\@addkeywordstrue}
\PassOptionsToClass{twocolumn}{article}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass{article}

\setlength\footskip{20\p@}
\if@compatibility
  \setlength\textwidth{175mm}
\else
%  \setlength\textwidth{\paperwidth}
%  \addtolength\textwidth{-126\p@}
%  \addtolength\textwidth{-3cm}
  \setlength\textwidth{175mm}
  \@settopoint\textwidth
\fi
\if@compatibility
\else
  \@settopoint\textwidth
\fi
\if@compatibility
  \setlength\textheight{9in}
\else
%  \ifcase\@ptsize
%    \setlength\textheight{53\baselineskip}
%  \or
%    \setlength\textheight{47\baselineskip}
%  \or
%    \setlength\textheight{44\baselineskip}
%  \fi
%   \setlength\textheight{24cm}
   \setlength\textheight{23.4cm}
\fi

%\setlength\labelsep{0em}
%\renewcommand{\baselinestretch}{0.85}

\advance\textheight by \topskip
\setlength\oddsidemargin{-20\p@}
\setlength\evensidemargin{-20\p@}
%\setlength\oddsidemargin{-10\p@}
%\setlength\evensidemargin{-10\p@}
\setlength\marginparwidth {\z@}
\setlength\topmargin{-.5in}
\setlength\columnsep{7mm}
\let\@oddhead\@empty
\let\@evenhead\@empty
\def\@oddfoot{\normalfont\rightmark \hfil
              \pagename{} \thepage}
\def\@evenfoot{\@oddfoot}


\def\maketitle{\par
 \begingroup
   \def\thefootnote{\fnsymbol{footnote}}
   \def\@makefnmark{\hbox   
       to 0pt{$^{\@thefnmark}$\hss}}   
   \if@twocolumn               
     \twocolumn[\@maketitle]   
     \else \newpage
     \global\@topnum\z@        % Prevents figures from going at top of page.
     \@maketitle\pagestyle{empty} \fi\@thanks
 \endgroup
 \setcounter{footnote}{0}
 \let\maketitle\relax
 \let\@maketitle\relax
 \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\thanks\relax}


\newdimen\logolen
\def\@maketitle{\newpage
  \null
 \par
% \vfil
 \vskip 10mm
 \begin{center}
% {\large\tsf\uppercase\expandafter{\@title} \par}%
 {\large\bf\uppercase\expandafter{\@title} \par}%
 \vskip 1.5em {\lineskip .5em%
 \@authora\@affiliationa
 \@authorb\@affiliationb
 \@authorc\@affiliationc
 \par} 
 \end{center}
 \par\vskip 10mm}

\def\author#1{\gdef\@author{#1}}
\gdef\@author{}
\def\authora#1{\gdef\@authora{\normalsize\bf #1\par\vskip0.6ex}}
\gdef\@uthora{}
\def\authorb#1{\gdef\@authorb{\normalsize\bf #1\par\vskip0.6ex}}
\gdef\@authorb{}
\def\authorc#1{\gdef\@authorc{\normalsize\bf #1\par\vskip0.6ex}}
\gdef\@authorc{}
\def\affiliationa#1{\gdef\@affiliationa{\normalsize\it #1\par\vskip1.2ex}}
\gdef\@affiliationa{}
\def\affiliationb#1{\gdef\@affiliationb{\normalsize\it #1\par\vskip1.2ex}}
\gdef\@affiliationb{}
\def\affiliationc#1{\gdef\@affiliationc{\normalsize\it #1\par\vskip1.2ex}}
\gdef\@affiliationc{}

\def\abstract{\noindent\section*{\bf ABSTRACT}\par}

\def\section{\@startsection {section}{1}{\z@}{3.5ex plus 1ex minus 
 -2.0ex}{1.2ex plus .2ex}{\normalsize\bf}}
\def\subsection{\@startsection{subsection}{2}{\z@}{3.25ex plus 1ex minus 
 -2.0ex}{1.2ex plus .2ex}{\normalsize\bf}}
\def\subsubsection{\@startsection{subsubsection}{3}{\z@}{3.25ex plus 
 1ex minus  2.0ex}{1.2ex plus .2ex}{\normalsize\bf}}
\def\paragraph{\@startsection
 {paragraph}{4}{\z@}{3.25ex plus 1ex minus .2ex}{-1em}{\normalsize\bf}}
\def\subparagraph{\@startsection
 {subparagraph}{4}{\parindent}{3.25ex plus 1ex minus 
 .2ex}{1em}{\normalsize\bf}}


\renewcommand{\thepart}{\Roman{part}}
\renewcommand{\thesection}{\arabic{section}.}
\renewcommand{\thesubsection}{\thesection\arabic{subsection}}
\renewcommand{\thesubsubsection}{\thesubsection.\arabic{subsubsection}}
\renewcommand{\theparagraph}{\thesubsubsection.\arabic{paragraph}}
\renewcommand{\thesubparagraph}{\theparagraph.\arabic{subparagraph}}


\renewcommand{\@makecaption}[2]{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\bf #1\ } #2}%
  \ifdim \wd\@tempboxa >\hsize
    {\bf #1\ }\begin{minipage}[t]{0.8\hsize} #2\end{minipage}\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}


\renewcommand{\figurename}{Fig.}
\renewcommand{\tablename}{Table}
\renewcommand{\refname}{References}

\renewcommand\theenumi{\@arabic\c@enumi}

\def\@listi{\leftmargin\leftmargini
            \parsep 0.5\p@ \@plus0.2\p@ \@minus\p@
            \topsep 2\p@   \@plus0.3\p@ \@minus0.5\p@
            \itemsep0.5\p@ \@plus0.2\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    0.5\p@ \@plus0.2\p@ \@minus\p@
              \parsep    0.5\p@   \@plus\p@  \@minus\p@
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    0.2\p@ \@plus\p@\@minus\p@
              \parsep    \z@
              \partopsep \p@ \@plus\z@ \@minus\p@
              \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\renewcommand\labelenumi{(\theenumi)}
\renewcommand\labelenumii{(\theenumii)}
\renewcommand\labelenumiii{(\theenumiii)}
\renewcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\renewcommand\labelitemi{\textbullet}
\renewcommand\labelitemii{\normalfont\bfseries \textendash}
\renewcommand\labelitemiii{\textasteriskcentered}
\renewcommand\labelitemiv{\textperiodcentered}


\def\copyrightspace{%
  \footnotetext[0]{\mbox{}\vrule \@height 97\p@ \@width \z@}}
\renewenvironment{abstract}%
  {\section*{\abstractname}}
  {\par}
\newcommand\pagename{Page}
\endinput
%%
%% End of file `proc.cls'.

